<?php

header("Content-Type: image/png");

$nbcell=$galsize*2+1;
$tailleim=$nbcell*$taillecell;

$image=imageCreate($tailleim,$tailleim);
$black=imageColorAllocate($image,0,0,0);
$white=imageColorAllocate($image,255,255,255);
$lightpurple=imageColorAllocate($image,70,0,110);
$purple=imageColorAllocate($image,30,0,70);
$grey=imageColorAllocate($image,70,70,70);

for($i=1;$i<$nbcell;$i++){
	imageline($image,0,$i*$taillecell,$tailleim,$i*$taillecell,$grey);
	imageline($image,$i*$taillecell,0,$i*$taillecell,$tailleim,$grey);
}

for($i=$tailleim/2;$i<$tailleim;$i+=$taillecell*10){
	imagefilledrectangle($image,0,$i-$taillecell/2,$tailleim,$i+$taillecell/2,$purple);
	imagefilledrectangle($image,0,$tailleim-$i-$taillecell/2,$tailleim,$tailleim-$i+$taillecell/2,$purple);
	imagefilledrectangle($image,$i-$taillecell/2,0,$i+$taillecell/2,$tailleim,$purple);
	imagefilledrectangle($image,$tailleim-$i-$taillecell/2,0,$tailleim-$i+$taillecell/2,$tailleim,$purple);
	
}

imagefilledrectangle($image,0,$tailleim/2-$taillecell/2,$tailleim,$tailleim/2+$taillecell/2,$lightpurple);
imagefilledrectangle($image,0,$tailleim-$tailleim/2-$taillecell/2,$tailleim,$tailleim-$tailleim/2+$taillecell/2,$lightpurple);
imagefilledrectangle($image,$tailleim/2-$taillecell/2,0,$tailleim/2+$taillecell/2,$tailleim,$lightpurple);
imagefilledrectangle($image,$tailleim-$tailleim/2-$taillecell/2,0,$tailleim-$tailleim/2+$taillecell/2,$tailleim,$lightpurple);

for($i=1;$i<$nbcell;$i++){
	imageline($image,0,$i*$taillecell,$tailleim,$i*$taillecell,$grey);
	imageline($image,$i*$taillecell,0,$i*$taillecell,$tailleim,$grey);
}

$fp=fopen('http://www.hyperiums.com/servlet/HAPI?game=Hyperiums3&player='.$user.'&passwd='.$pass,"r");
$auth=fgets($fp,1000000);
fclose($fp);

$nbplist=0;
$ownlist=array();
$idownlist=array();
$coordlist=array();
do{
	$fp=fopen('http://www.hyperiums.com/servlet/HAPI?'.$auth.'&request=getallianceplanets&tag='.$tag.'&start='.$nbplist,"r");
	$plist=fgets($fp,1000000);
	fclose($fp);
	//echo $plist;
	parse_str($plist,$plistarray);
	for($i=0;$i<$plistarray[nb];$i++){
		
		//on cherche la cl de l'owner dans l'array et on ajoute l'owner si il n'y est pas encore
		$key=array_search($plistarray['owner'."$i"],$ownlist);
		if($key==NULL && $ownlist[0]!=$plistarray['owner'."$i"]){
			$ownlist[]=$plistarray['owner'."$i"];
			$key=array_search($plistarray['owner'."$i"],$ownlist);
		}
		//echo $key."<BR>";

		//on cre l'id de coordonne unique (500+x)*10000+(500+y)*100+orbit
		$coord=(500+$plistarray['x'."$i"])*100000+(500+$plistarray['y'."$i"])*100+1;
		//echo $coord." pour : ".$plistarray['planet'."$i"]." : ".$plistarray['x'."$i"].",".$plistarray['y'."$i"]." owner : ".$plistarray['owner'."$i"]."<BR>";

		//on lie l'id de l'owner  celui de la plante
		$idownlist[]=$key;

		//si il y a deja une plante  ces coords, on augmente l'orbite, sinon, on l'ajoute  l'array
		while(array_search($coord,$coordlist)!=NULL)
			$coord++;
		$coordlist[]=$coord;
	}
	$nbplist+=$plistarray[nb];
}while($plistarray[nb]!=0);

for($i=0;$i<count($ownlist);$i++){
        $playercol[$i]=imageColorAllocate($image,255/($i%3+1),255/($i%4+1),255/($i%5+1));
}

for($i=0;$i<count($coordlist);$i++){
	//on spare x,y et orbit pour chaque plante et on cherche l'owner
	$coord=$coordlist[$i];
	$x=floor($coord/100000)-500;
	$y=floor(($coord/100-500)-(500+$x)*1000);
	$orbit=$coord%100;
	$owner=$idownlist[$i];
	//imageString($image,2,10,10*$i,"coord=$coord x=$x y=$y orbit=$orbit owner=$owner",$white);
	if($orbit==1)
		imageFilledEllipse($image,($x+$galsize+0.25)*$taillecell,($y+$galsize+0.25)*$taillecell,$taillecell/2,$taillecell/2,$playercol[$owner]);
	else if($orbit==2)
		imageFilledEllipse($image,($x+$galsize+0.75)*$taillecell,($y+$galsize+0.25)*$taillecell,$taillecell/2,$taillecell/2,$playercol[$owner]);
	else if($orbit==3)
		imageFilledEllipse($image,($x+$galsize+0.25)*$taillecell,($y+$galsize+0.75)*$taillecell,$taillecell/2,$taillecell/2,$playercol[$owner]);
	else
		imageFilledEllipse($image,($x+$galsize+0.75)*$taillecell,($y+$galsize+0.75)*$taillecell,$taillecell/2,$taillecell/2,$playercol[$owner]);
}

imagefilledrectangle($image,0,0,120,12*count($ownlist),$black);
for($i=0;$i<count($ownlist);$i++){
	imageFilledEllipse($image,10,12*$i+6,8,8,$playercol[$i]);
	imageString($image,2,20,12*$i,$ownlist[$i],$white);
}

imagePNG($image);
imageDestroy($image);
?>
