<?php
header("Content-Type: image/png");
$image=imageCreate(750,600);
$black=imageColorAllocate($image,0,0,0);
$white=imageColorAllocate($image,255,255,255);
for($i=0;$i<$nbplanets;$i++){
	$planetcol[$i]=imageColorAllocate($image,255/($i%3+1),255-255/($i%4+1),255/($i%5+1));
}

$xmin=$xmax=$HTTP_GET_VARS['x0'];
$ymin=$ymax=$HTTP_GET_VARS['y0'];

for($i=1;$i<$nbplanets;$i++){
	if($xmin>$HTTP_GET_VARS['x'."$i"])
		$xmin=$HTTP_GET_VARS['x'."$i"];
	else if($xmax<$HTTP_GET_VARS['x'."$i"])
		$xmax=$HTTP_GET_VARS['x'."$i"];
	if($ymin>$HTTP_GET_VARS['y'."$i"])
		$ymin=$HTTP_GET_VARS['y'."$i"];
	else if($ymax<$HTTP_GET_VARS['y'."$i"])
		$ymax=$HTTP_GET_VARS['y'."$i"];
}

$xmin--;$xmax++;$ymin--;$ymax++;

for($x=$xmin+1;$x<$xmax;$x++){
	for($y=$ymin+1;$y<$ymax;$y++){
		$a=round(600*($x-$xmin)/($xmax-$xmin));
		$b=round(600*($y-$ymin)/($ymax-$ymin));
		imageSetPixel($image,$a,$b,$white);
	}
}

for($i=0;$i<$nbplanets;$i++){
	$a=round(600*($HTTP_GET_VARS['x'."$i"]-$xmin)/($xmax-$xmin));
	$b=round(600*($HTTP_GET_VARS['y'."$i"]-$ymin)/($ymax-$ymin))+10*($HTTP_GET_VARS['orbit'."$i"]-1);
	imageString($image,2,600,32*($i+1),$HTTP_GET_VARS['planet'."$i"], $white);
	imageString($image,2,620,32*($i+1)+12,'('.$HTTP_GET_VARS['x'."$i"].','.$HTTP_GET_VARS['y'."$i"].')', $white);
	imageFilledEllipse($image,592,32*($i+1)+6,10,10,$planetcol[$i]);
	imageFilledEllipse($image,$a,$b,10,10,$planetcol[$i]);
}

imagePNG($image);
imageDestroy($image);
?>
